> ## Documentation Index
> Fetch the complete documentation index at: https://docs.old.palomma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payout Target



## OpenAPI

````yaml GET /payoutTargets/{payoutTargetId}
openapi: 3.0.0
info:
  title: Palomma API
  description: This API includes functionality of the Palomma API.
  version: 1.0.0
servers:
  - url: https://api.palomma.com/v0
    description: Production server
  - url: https://sandbox.api.palomma.com/v0
    description: Sandbox server
security:
  - BearerAuth: []
paths:
  /payoutTargets/{payoutTargetId}:
    get:
      tags:
        - Payout Targets
      summary: Retrieve a Payout Target
      operationId: getPayoutTargetById
      parameters:
        - name: payoutTargetId
          in: path
          required: true
          description: Unique identifier of the payout target.
          schema:
            type: string
      responses:
        '200':
          description: Payout target retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutTarget'
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '404':
          description: Payout Target not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
components:
  schemas:
    PayoutTarget:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for this Payout Target.
          example: 01HPR8S7YF43PV3QV16TZDC80P
        reference:
          type: string
          description: Reference sent in by merchant to identify Payout Target.
        description:
          type: string
          description: An extra metadata field that can be included for visibility.
        customerId:
          type: string
          description: Reference to customer who owns this Payout Target.
          example: 01HPR57X6QR5ZRKEEKBSDBW4RA
        customerDetails:
          $ref: '#/components/schemas/CustomerDetails'
          description: Details about the customer who owns this Payout Target.
        status:
          type: string
          enum:
            - active
            - cancelled
          description: Status of the Payout Target.
          example: active
        statusMessage:
          $ref: '#/components/schemas/StatusMessage'
        authUrl:
          type: string
          description: >-
            URL where the customer should be redirected to complete the Payout
            Target verification.
        redirectUrl:
          type: string
          description: >-
            URL where the customer will be redirected after completing the
            Payout Target verification.
        type:
          type: string
          enum:
            - bankAccount
          description: Type of Payout Target created.
        createdAt:
          type: string
          format: date-time
          description: ISO string indicating when the Payout Target was created.
        updatedAt:
          type: string
          format: date-time
          description: ISO string indicating when the Payout Target was last updated.
    CustomerDetails:
      type: object
      properties:
        reference:
          type: string
          description: >-
            An optional reference provided by the merchant to identify the
            customer.
        name:
          type: string
          description: >-
            First and last name for a natural person, and company name for a
            juridical person.
          example: Pepito Perez
        documentType:
          type: string
          description: Colombian ID type for customer.
          enum:
            - cc
            - ce
            - nit
        documentNumber:
          type: string
          description: Colombian ID number for customer.
          example: '1037551022'
        email:
          type: string
          description: Customer’s email.
          format: email
          example: pepito@gmail.com
        phoneNumber:
          type: string
          description: Customer’s phone number.
          example: '3013111111'
    StatusMessage:
      type: string
      description: >-
        Additional detail on the status. Only present when status is
        "cancelled".
      enum:
        - AUTHENTICATION_FAILED
        - CUSTOMER_CANCELLATION
        - DECLINED_BY_BANK
        - EXPIRED
        - INVALID_ACCOUNT
        - NOT_ENOUGH_FUNDS
        - ERROR
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````